using UnityEngine;
using System.Collections;

public class AcidSea : MonoBehaviour 
{
	public float speedAbs;
	public float targetY;

    float speed;
    float minY;
    float maxY;

	void Start()
    {
        if ( transform.position.y < targetY )
        {
            minY = transform.position.y;
            maxY = targetY;
            speed = speedAbs;
        }
        else
        {
            minY = targetY;
            maxY = transform.position.y;
            speed = -speedAbs;
        }
    }

    void Update()
    {
        Vector3 position = transform.position;

        position.y += speed * Time.deltaTime;

        if ( position.y < minY )
        {
            position.y = minY;
            speed = -speed;
        }
        else if ( position.y > maxY )
        {
            position.y = maxY;
            speed = -speed;
        }
        transform.position = position;
	}

    public float GetSpeed()
    {
        return speed;
    }
}
