using UnityEngine;

public class FloatVar : MonoBehaviour
{
	public float value = 0.0F;
    public float max = 1.0F;

    float normalized = 0.0F;

    public void Set( float newValue )
    {
        value = newValue;
        normalized = value / max;
        normalized = Mathf.Clamp( normalized, 0.0f, max );
    }

    public float Get()
    {
        return value;
    }

    public float GetNormalized()
    {
        return normalized;
    }
}
