using UnityEngine;

public class IntVar : MonoBehaviour
{
	public int value = 0;
    public GUIText guiValue;

    void Start()
    {
        Set( value );
    }

    public void Set( int newValue )
    {
        value = newValue;

        if ( guiValue )
        {
            guiValue.text = value.ToString();
        }
    }

    public int Get()
    {
        return value;
    }
}
